Bug 1417054 - mkudffs: Error: Cannot open device : Value too large for defined data type
Summary: mkudffs: Error: Cannot open device : Value too large for defined data type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: udftools
Version: 25
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Frantisek Kluknavsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 06:39 UTC by Wies Jean-Pierre
Modified: 2017-02-08 01:51 UTC (History)
2 users (show)

Fixed In Version: udftools-1.3-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-08 01:51:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Wies Jean-Pierre 2017-01-27 06:39:46 UTC
Description of problem:
Version udftools-1.2-1.fc25.i686 cannot open large files.
Regression from version udftools-1.0.0b3-31.fc24.i686

Version-Release number of selected component (if applicable):
1.2-1

How reproducible:


Steps to Reproduce:
1.dd if=/dev/zero of=/work/ISO1.iso bs=2048 count=12207031
2.mkudffs /work/ISO1.iso
3.

Actual results:
mkudffs: Error: Cannot open device '/work/ISO1.iso': Value too large for defined data type


Expected results:
start=0, blocks=16, type=RESERVED 
start=16, blocks=3, type=VRS 
start=19, blocks=237, type=USPACE 
start=256, blocks=1, type=ANCHOR 
start=257, blocks=16, type=PVDS 
start=273, blocks=1, type=LVID 
start=274, blocks=12206499, type=PSPACE 
start=12206773, blocks=1, type=ANCHOR 
start=12206774, blocks=239, type=USPACE 
start=12207013, blocks=16, type=RVDS 
start=12207029, blocks=1, type=ANCHOR 


Additional info:
Version 1.3 does not have the problem

Comment 1 Fedora Update System 2017-01-30 21:18:28 UTC
udftools-1.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6123c56bf7

Comment 2 Frantisek Kluknavsky 2017-01-30 21:23:40 UTC
Thank you for the report. I usually want to avoid rebases in released Fedoras, but this time it probably makes sense.

Comment 3 Fedora Update System 2017-01-31 03:52:31 UTC
udftools-1.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6123c56bf7

Comment 4 Fedora Update System 2017-02-08 01:51:48 UTC
udftools-1.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.